import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { EmployeeService } from "../../core/entities/employee/employee.service";
export declare class EmployeeLookupService {
    private translate;
    private employeeService;
    employeeLookupDisplayFields: string[];
    employeeAdvancedDisplayFields: string[];
    employeeLookupSeparator: string;
    contractTypeOptions: {
        label: string;
        value: string;
    }[];
    constructor(translate: TranslateService, employeeService: EmployeeService);
    getEmployeeSearchFields(): FormField[];
    getEmployeeSearchGridFields(): FormField[];
    onEmployeeSearchRequest(event: any, filter?: string): Observable<any>;
    onEmployeeLookupRequest(value: string, filter?: string): Observable<any>;
    private mapEmployeeLookup;
    private loadLabelFromEnum;
    private loadEnumFromLabel;
}
